xflr5 (6.09.06-2) unstable; urgency=medium

  * enable Q_OS_LINUX for non-linux systems 
  * debian/xflr5.install
   - add style files

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 30 Dec 2013 00:01:47 +0900

xflr5 (6.09.06-1) unstable; urgency=medium

  * New upstream release
  * Migrate to unstable
  * debian/rules
   - specify .pro file instead of .ts files when building translations
   - remove get-orig-source target
  * debian/watch
   - add to follow upstream
  * debian/control
   - bump Standard-Version to 3.9.5
   - specify qt4-linguist-tools instead of translation-toolkit
   - remove docboot-to-man from build-dep
  * debian/xflr5.desktop
   - add Keywords field
  * debian/xflr5-doc.links
   - removed
  * debian/copyright
   - update copyright

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 29 Dec 2013 16:56:20 +0900

xflr5 (6.08+svn531-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/control
   - remove DM-Upload-Allowed
   - update Standard-Version to 3.9.4
  * debian/patches/01_set_targetpath.patch
   - update the file path
  * debian/xflr5.docs
   - remove because the upstream ReadMe was removed
  * debian/watch
   - move comments from debian/source/lintian-overrides

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 25 Oct 2012 21:48:12 +0900

xflr5 (6.07+svn513-1) unstable; urgency=low

  * New upstream release
  * debian/rules
   - add get-orig-source target
  * debian/copyright
   - update format uri
  * debian/control
   - update Standards-Version to 3.9.3
   - up debhelper version to 9.20120417 to add hardening flags
     for qmake
   - enable DM-Upload
  * debian/compat
   - up to 9 to add hardening flags
  * debian/source/lintian-overrides
   - add debian-watch-file-is-missing because tarball is not privided

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 29 Jun 2012 17:22:31 +0900

xflr5 (6.06-1) unstable; urgency=low

  * changed and hopefully improved the algorithm which intersects
    wing surfaces and body
  * code cleaning
  * minor bug corrections and enhancements
  * reduced the maximum size of sections, masses, and chorwise
    panels on a wing to reduce global memory usage
  * debian/compat
   - changed compatibility level from 7 to 8
  * debian/control
   - changed dependency: debhelper (>= 7.0.50~) to debhelper (>= 8.0.0)
   - changed homepage (it was moved)
   - changed long description of xflr5-doc package (added description of xflr5)
  * debian/copyright
   - changed source (it was moved)
   - changed Format address (it was moved)
  * debian/patches/01_set_targetpath.patch
   - added to set target.path on xflr5.pro
  * debian/xflr5-doc.doc-base
   - added to define the documentation

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 3 Feb 2012 17:37:53 +0900

xflr5 (6.05-1) unstable; urgency=low

  * For Type 7 polars, listed the control value instead of the aoa in
    the top drop down box
  * Added a calculation form to determine Re.sqrt(Cl) for foil Type 2
    polars
  * Added the Japanese translation to the repository
  * Minor corrections and improvements
  * debian/Guidelines_v604.odt
   - removed from source because it is existed in doc directory
  * debian/source/include-binaries
   - removed Guidelines_v604.odt
  * debian/rules
   - added lrelease command for Japanese translation
  * debian/xflr5.install
   - added xflr5v6_ja.qm

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 31 Jul 2011 01:31:08 +0900

xflr5 (6.04.dfsg-2) unstable; urgency=low

  * debian/rules
   - removed install command which is cause of FTBFS (closes: #630545)
   - changed qmake-qt4 command to dh_auto_build command
   - added exclude option to dh_compress
  * debian/xflr5-doc.docs
   - added Guidelines_v604.pdf
  * debian/xflr5-doc.links
   - added Guidelines.pdf
  * debian/control
   - changed dependencies

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 26 Jun 2011 00:22:03 +0900

xflr5 (6.04.dfsg-1) unstable; urgency=low

  * doc/Guidelines.pdf
   - removed from source file because it contains non-free fonts
     (closes: #628218)
  * debian/Guidelines_v604.pdf
   - added rebuilt pdf which doesn't contains non-free fonts
  * debian/Guidelines_v604.odt
   - added source of Guidelines_v604.pdf
  * debian/rules
   - added install command for Guidelines_v604.pdf
  * debian/source/include-binaries
   - added debian/Guidelines_v604.pdf, debian/Guidelines_v604.odt
  * debian/control
   - removed build-depends: libc6, libgcc1, libstdc++6
   - added xflr5-doc package
  * debian/xflr5.doc
   - added ReadMe.txt

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 14 Jun 2011 22:46:39 +0900

xflr5 (6.04-1) unstable; urgency=low

  * New upstream release
   - added a settings save at each project save
   - added and option to view forces on panels as coloured arrows
   - fixed the incorrect setting of AVL-type controls for flaps in T7 analysis
   - added the missing write operation in the project file of the control
     variable for wing operating points
   - modified the setting of boundary conditions in T7 analysis with activated
     controls - impact on balanced aoa
   - modified the wing construction process to allow for a gap in the middle
     of the wing
   - corrected the bug which caused the disapperance of the left stability
     toolbar when switching to 3D view
   - corrected the bug which prevented from changing the default number of
     panels in naca foil generation
   - continued the code cleaning process
  * debian/control
   - changed Standards-Version to 3.9.2
  * debian/copyright
   - fixed maintainer's name.
   - changed format to rev 174
  * debian/install
   - added xflr5.png
   - removed sourceless documentation with non-free fonts embedded:
     Guidelines.pdf
  * debian/rules
   - removed install command

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 24 May 2011 22:47:14 +0900

xflr5 (6.03-7) unstable; urgency=low

  * debian/rules debian/install
   - added install command to debian/rules to change
     permission of xflr5.png
   - removed xflr5.png from debian/install
  * debian/manpages debian/xflr5.sgml
   - created man page
  * debian/control
   - created man page
  * this package closes: #619456

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 02 Apr 2011 23:52:33 +0900

xflr5 (6.03-6) unstable; urgency=low

  * debian/control
   - changed description to appropriate format
  * debian/rules
   - removed make clean
   - removed variables

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 27 Mar 2011 08:57:10 +0900

xflr5 (6.03-5) unstable; urgency=low

  * debian/control
   - changed section: x11 -> science
   - changed build depends
     removed
     - libglu1-mesa-dev
  * debian/install
   - move install commands from debian/rules
  * debian/dirs
   - remove /usr/sbin directory

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 26 Mar 2011 12:32:52 +0900

xflr5 (6.03-4) unstable; urgency=low

  * debian/control
   - put translation files into xflr5 package
  * debian/rules
   - changed to debhelper 7 format
  * debian/copyright
   - changed to DEP5 format
  * debian/README.Debian
   - removed

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 25 Mar 2011 13:46:59 +0900

xflr5 (6.03-3) unstable; urgency=low

  * debian/control
   - changed build depends
     added
     + debhelper (>= 7.0.50~)
     removed
     - debhelper (>= 5)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 24 Mar 2011 15:15:01 +0900

xflr5 (6.03-2) unstable; urgency=low

  * Added debian/source/format
  * debian/control
   - changed build depends
     added
     + libqt4-dev, libgl1-mesa-dev, libglu1-mesa-dev
     + libqt4-opengl-dev (>= 4.6.0), translate-toolkit
     removed
     - libgl1-mesa, libgl1, libgl1-mesa-glx, libgl1, libglu1-mesa
     - libglu1, libqt4-opengl (>= 4.6.0), libqtcore4 (>= 4.6.0)
     - libqtgui4 (>= 4.6.0)
   - changed Standards-Version (3.7.2 -> 3.9.1)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 24 Mar 2011 13:05:03 +0900

xflr5 (6.03-1) unstable; urgency=low

  * First release for Debian Repository

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 24 Mar 2011 09:52:19 +0900

xflr5 (6.01-1-ubuntu1) maverick; urgency=low

  * First release for Ubuntu 10.10
  * Fixed debian files. Somebody had magically renamed them to .txt files! 
    Renamed all the files in debian folder and fixed errors in them.
  * Fixed xflr5.pro. Install target was missing and the package was not installable. 
  * Package now builds and installs on Ubuntu 10.10
  * Verified that binary can be found from /usr/bin after installation.

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Tue, 26 Oct 2010 17:22:39 +0300

qflr5 (0.03b-ubuntu2) jaunty; urgency=low

  * Andre Deperrois fixed a bug which prevented polars from being stored
    during a foil batch analysis

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Thu, 29 Oct 2009 11:44:15 +0200

qflr5 (0.03b-ubuntu1) jaunty; urgency=low

  [Karoliina Salminen]
  * Built 0.03 for Ubuntu Jaunty
  [Andre Deperrois]
  * Added a form to evaluate the CoG and inertia of wings and bodies
  * Redefined the pitchnig moment and yawing moments for clarity - details in the guidelines section 5.16
  * Added an option to store oppoints in foil batch analysis 
  * Marked more sentences for translation
  * Corrected a crash bug which occurred when trying to run a biplane analysis without an elevator
  * Corrected Tail volume calculation - was missing a PI/180 coefficient ; no impact on results
  * Corrected lift calculation in Type 2 polars. The lift was calculated by two different 
    methods in separate parts of the code leading to incorrect results
  * Corrects bugs related to projected areas for aero coeff calculations
  * Corrected incorrect units in reference length for AVL export

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Mon, 26 Oct 2009 17:52:05 +0200

qflr5 (0.02b-ubuntu2) jaunty; urgency=low

  * Built latest trunk debian package

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Tue, 20 Oct 2009 10:51:41 +0300

qflr5 (0.02b-ubuntu1) jaunty; urgency=low

  * 0.02 beta for Ubuntu

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Fri, 04 Sep 2009 12:43:53 +0300

qflr5 (0.01b-ubuntu1) jaunty; urgency=low

  * 0.01 beta. First official release for Debian/Ubuntu

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Tue, 30 Jun 2009 12:27:36 +0300

qflr5 (5.0~svn103-1) jaunty; urgency=low
  
  * Ubuntu package for the for the QFLR5.
  * Svn updated to svn head.
  * Cleaned up the deb-package a bit to get it ready for being committed to svn.
  * Tested that the deb package compiles on Ubuntu Jaunty.

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Mon, 01 Jun 2009 13:11:17 +0300

qflr5 (5.0~svn101-1) jaunty; urgency=low

  * Upgraded to the latest trunk version

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Fri, 29 May 2009 15:26:12 +0300

qflr5 (5.0~svn91-1) unstable; urgency=low

  * Initial deb package created.

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Fri, 15 May 2009 11:54:02 +0300

